"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var requireModule_1 = require("../requireModule");
var ReactNativeWebPlugin = (function () {
    function ReactNativeWebPlugin() {
    }
    ReactNativeWebPlugin.prototype.configure = function (builder, spin) {
        var stack = builder.stack;
        if (stack.hasAll(['react-native-web', 'webpack']) && stack.hasAny(['server', 'web'])) {
            builder.config = spin.merge(builder.config, {
                resolve: {
                    alias: {
                        'react-native': 'react-native-web'
                    }
                }
            });
            if (stack.hasAny('server')) {
                builder.config.externals = function (context, request, callback) {
                    if (request.indexOf('react-native') >= 0) {
                        return callback(null, 'commonjs ' + request + '-web');
                    }
                    else if (request.indexOf('webpack') < 0 &&
                        !request.startsWith('.') &&
                        requireModule_1.default.probe(request, context)) {
                        return callback(null, 'commonjs ' + request);
                    }
                    callback();
                };
            }
        }
    };
    return ReactNativeWebPlugin;
}());
exports.default = ReactNativeWebPlugin;
//# sourceMappingURL=ReactNativeWebPlugin.js.map